> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a New PO Invoice Imaging Document > ## Overview This payload creates an AP Invoice with optional PO details and allocations. PO linkage (Po_Number and Release) is conditionally required based on the imaging system option flag `imgso_allow_null_po_num_flag`. ## Notes - The payload contains a header section (headerFlysheet, headerData) and a detail section (detailFlysheet, detailData). - The srcUuid and docTypeUuid identify the source and document type. - Whether `Po_Number` is required depends on the imaging system option `imgso_allow_null_po_num_flag`: - If the flag is **not** set to `Y`, `Po_Number` **is required**. - If the flag is set to `Y`, `Po_Number` may be omitted (PO-less invoice). - `Release` is required when `Po_Number` is not allowed to be null **or** when `Po_Number` is explicitly supplied in the payload. A `Po_Number` supplied without a `Release` is always invalid. - When `Po_Number` is omitted, `detailFlysheet` and `detailData` are ignored even if provided. ## UI Navigation ECM > Imaging > Image Manager > Create Invoice (with PO) flysheet ## Reference Article [Enterprise Content Management – ECM Documents](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/ECM_-_Enterprise_Content_Management/Reference/ECM_Documents.htm?Highlight=ECM%20PO%20invoice) [Imaging – PO Invoice 3 way Match](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/IMG_-_Imaging/How_To/3-Way_Match_Process.htm) ## Example payload (JSON) **With PO Number** (standard case or when imgso_allow_null_po_num_flag ≠ Y): { "srcUuid": "0AC3DE23133C61F0E063AF811DAC5CAD", "docTypeUuid": "ADC78973BD751170E053508010AC2DB4", "headerFlysheet": "AP Invoice with PO", "headerData": { "Company": "ZZ", "Apri\_Ven\_Code": "ABSCONT", "Apri\_Group\_Code": "CMIC", "Apri\_Inv\_Code": "ROASTINV988", "Apri\_Inv\_Date": "25/03/31", "Apri\_Valid\_Flag": "Y", "Apri\_Desc": "test", "Apri\_Orig\_Amt": "100", "Apri\_Amt": "100", "Po\_Number": "WO00008001", "Release": "1" }, "detailFlysheet": "AP Invoice Allocation to PO", "detailData": [ { "Poda\_Line\_Num": "1", "Poda\_Inv\_Qty": "0", "Poda\_Inv\_Amt": "25" } ] } **Without PO Number** (when imgso_allow_null_po_num_flag = Y): { "srcUuid": "0AC3DE23133C61F0E063AF811DAC5CAD", "docTypeUuid": "ADC78973BD751170E053508010AC2DB4", "headerFlysheet": "AP Invoice with PO", "headerData": { "Company": "ZZ", "Apri\_Ven\_Code": "ABSCONT", "Apri\_Group\_Code": "CMIC", "Apri\_Inv\_Code": "ROASTINV989", "Apri\_Inv\_Date": "25/03/31", "Apri\_Valid\_Flag": "Y", "Apri\_Desc": "test", "Apri\_Orig\_Amt": "100", "Apri\_Amt": "100" } } ## Commonly Used Body Parameters | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | | --- | --- | --- | --- | --- | --- | --- | | Company | headerData | Company | This is the company code associated with the purchase order invoice. Must be a valid CMiC Company Code. | string | 8 | 001 | | Vendor | headerData | Apri_Ven_Code | This is the vendor code associated with the purchase order invoice. Must be a valid vendor code in CMiC. | string | 10 | MICR01 | | Invoice Registry Group Code | headerData | Apri_Group_Code | Invoice registration groups are used to group the access, entry and approval of invoices entered through the Register Invoices screen. Must be a valid Invoice Registry Group Code in CMiC. | string | 10 | CMIC | | Invoice Number | headerData | Apri_Inv_Code | This is the invoice number associated with this invoice. This number appears on the vendors' invoice and it is not the same as the voucher number. | string | 20 | ROASTINV988 | | Invoice Header Date | headerData | Apri_Inv_Date | This is the date the invoice was issued/created. | datetime | YYYY/MM/DD | 2025/03/31 | | Valid Flag | headerData | Apri_Valid_Flag | The valid flag when set to 'Y' confirms the distribution created via the detail array matches the invoice header amount, otherwise it will default to 'N'. | string | 1 | Y/N | | Description | headerData | Apri_Desc | This is a short description for the invoice. | string | 30 | Purchases from Home Depot. | | Original Amount | headerData | Apri_Orig_Amt | Original invoice amount is the pre-tax invoice amount. | number | 18 | 1825.00 | | Amount | headerData | Apri_Amt | This invoice amount can be the same as the Original Invoice Amount if no taxes are applied. Otherwise, this is the post-tax invoice amount (net amount). | number | 18 | 1825.00 | | PO Number | headerData | Po_Number | This is the purchase order number. Must be a valid Purchase Order Number in CMiC. **Conditionally required:** omit only when the imaging system option `imgso_allow_null_po_num_flag` is set to `Y`. | string | 11 | 00008001 | | PO Detail Release Number | headerData | Release | This is the release number that matches the Purchase Order receipt header. **Conditionally required:** must be provided when `Po_Number` is supplied, or when null PO numbers are not permitted by system options. A `Po_Number` supplied without a `Release` is always invalid. | number | 11 | 1 | | PO Line Number | detailData | Poda_Line_Num | This is the unique line number linked to the purchase order detail that this invoice references. Each line corresponds to a specific detail on the original purchase order in Asset Management. A PO line number represents the distribution and allocations tied to that detail, such as Job/Dept/Equipment/Work Order, Cost Code/Account/Component/Work Item, and Category/Transaction Code/Expense. | number | 5 | 1 | | Invoice Qty | detailData | Poda_Inv_Qty | This is the specific item quantity for the Purchase Order line item. | number | 16 | | | Invoice Amount | detailData | Poda_Inv_Amt | This is the invoice amount by PO detail line. Must total to the invoice header amount. | number | | 25 | ## OpenAPI ````json POST /ecm-rest-api/jersey/v1/UploadData/uploadPoInvoice { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/ecm-rest-api/jersey/v1/UploadData/uploadPoInvoice": { "post": { "tags": [ "ECM and Workflow | Image Manager" ], "summary": "Create a New PO Invoice Imaging Document", "description": "## Overview\n\nThis payload creates an AP Invoice with optional PO details and allocations. PO linkage (Po_Number and Release) is conditionally required based on the imaging system option flag `imgso_allow_null_po_num_flag`.\n\n## Notes\n\n- The payload contains a header section (headerFlysheet, headerData) and a detail section (detailFlysheet, detailData).\n- The srcUuid and docTypeUuid identify the source and document type.\n- Whether `Po_Number` is required depends on the imaging system option `imgso_allow_null_po_num_flag`:\n - If the flag is **not** set to `Y`, `Po_Number` **is required**.\n - If the flag is set to `Y`, `Po_Number` may be omitted (PO-less invoice).\n- `Release` is required when `Po_Number` is not allowed to be null **or** when `Po_Number` is explicitly supplied in the payload. A `Po_Number` supplied without a `Release` is always invalid.\n- When `Po_Number` is omitted, `detailFlysheet` and `detailData` are ignored even if provided.\n\n## UI Navigation\n\nECM > Imaging > Image Manager > Create Invoice (with PO) flysheet\n\n## Reference Article\n\n[Enterprise Content Management – ECM Documents](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/ECM_-_Enterprise_Content_Management/Reference/ECM_Documents.htm?Highlight=ECM%20PO%20invoice)\n\n[Imaging – PO Invoice 3 way Match](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/IMG_-_Imaging/How_To/3-Way_Match_Process.htm)\n\n## Example payload (JSON)\n\n**With PO Number** (standard case or when imgso_allow_null_po_num_flag ≠ Y):\n{\n \"srcUuid\": \"0AC3DE23133C61F0E063AF811DAC5CAD\",\n \"docTypeUuid\": \"ADC78973BD751170E053508010AC2DB4\",\n \"headerFlysheet\": \"AP Invoice with PO\",\n \"headerData\": {\n \"Company\": \"ZZ\",\n \"Apri\\_Ven\\_Code\": \"ABSCONT\",\n \"Apri\\_Group\\_Code\": \"CMIC\",\n \"Apri\\_Inv\\_Code\": \"ROASTINV988\",\n \"Apri\\_Inv\\_Date\": \"25/03/31\",\n \"Apri\\_Valid\\_Flag\": \"Y\",\n \"Apri\\_Desc\": \"test\",\n \"Apri\\_Orig\\_Amt\": \"100\",\n \"Apri\\_Amt\": \"100\",\n \"Po\\_Number\": \"WO00008001\",\n \"Release\": \"1\"\n },\n \"detailFlysheet\": \"AP Invoice Allocation to PO\",\n \"detailData\": [\n {\n \"Poda\\_Line\\_Num\": \"1\",\n \"Poda\\_Inv\\_Qty\": \"0\",\n \"Poda\\_Inv\\_Amt\": \"25\"\n }\n ]\n}\n\n**Without PO Number** (when imgso_allow_null_po_num_flag = Y):\n{\n \"srcUuid\": \"0AC3DE23133C61F0E063AF811DAC5CAD\",\n \"docTypeUuid\": \"ADC78973BD751170E053508010AC2DB4\",\n \"headerFlysheet\": \"AP Invoice with PO\",\n \"headerData\": {\n \"Company\": \"ZZ\",\n \"Apri\\_Ven\\_Code\": \"ABSCONT\",\n \"Apri\\_Group\\_Code\": \"CMIC\",\n \"Apri\\_Inv\\_Code\": \"ROASTINV989\",\n \"Apri\\_Inv\\_Date\": \"25/03/31\",\n \"Apri\\_Valid\\_Flag\": \"Y\",\n \"Apri\\_Desc\": \"test\",\n \"Apri\\_Orig\\_Amt\": \"100\",\n \"Apri\\_Amt\": \"100\"\n }\n}\n\n\n## Commonly Used Body Parameters\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |\n| --- | --- | --- | --- | --- | --- | --- |\n| Company | headerData | Company | This is the company code associated with the purchase order invoice. Must be a valid CMiC Company Code. | string | 8 | 001 |\n| Vendor | headerData | Apri_Ven_Code | This is the vendor code associated with the purchase order invoice. Must be a valid vendor code in CMiC. | string | 10 | MICR01 |\n| Invoice Registry Group Code | headerData | Apri_Group_Code | Invoice registration groups are used to group the access, entry and approval of invoices entered through the Register Invoices screen. Must be a valid Invoice Registry Group Code in CMiC. | string | 10 | CMIC |\n| Invoice Number | headerData | Apri_Inv_Code | This is the invoice number associated with this invoice. This number appears on the vendors' invoice and it is not the same as the voucher number. | string | 20 | ROASTINV988 |\n| Invoice Header Date | headerData | Apri_Inv_Date | This is the date the invoice was issued/created. | datetime | YYYY/MM/DD | 2025/03/31 |\n| Valid Flag | headerData | Apri_Valid_Flag | The valid flag when set to 'Y' confirms the distribution created via the detail array matches the invoice header amount, otherwise it will default to 'N'. | string | 1 | Y/N |\n| Description | headerData | Apri_Desc | This is a short description for the invoice. | string | 30 | Purchases from Home Depot. |\n| Original Amount | headerData | Apri_Orig_Amt | Original invoice amount is the pre-tax invoice amount. | number | 18 | 1825.00 |\n| Amount | headerData | Apri_Amt | This invoice amount can be the same as the Original Invoice Amount if no taxes are applied. Otherwise, this is the post-tax invoice amount (net amount). | number | 18 | 1825.00 |\n| PO Number | headerData | Po_Number | This is the purchase order number. Must be a valid Purchase Order Number in CMiC. **Conditionally required:** omit only when the imaging system option `imgso_allow_null_po_num_flag` is set to `Y`. | string | 11 | 00008001 |\n| PO Detail Release Number | headerData | Release | This is the release number that matches the Purchase Order receipt header. **Conditionally required:** must be provided when `Po_Number` is supplied, or when null PO numbers are not permitted by system options. A `Po_Number` supplied without a `Release` is always invalid. | number | 11 | 1 |\n| PO Line Number | detailData | Poda_Line_Num | This is the unique line number linked to the purchase order detail that this invoice references. Each line corresponds to a specific detail on the original purchase order in Asset Management. A PO line number represents the distribution and allocations tied to that detail, such as Job/Dept/Equipment/Work Order, Cost Code/Account/Component/Work Item, and Category/Transaction Code/Expense. | number | 5 | 1 |\n| Invoice Qty | detailData | Poda_Inv_Qty | This is the specific item quantity for the Purchase Order line item. | number | 16 | |\n| Invoice Amount | detailData | Poda_Inv_Amt | This is the invoice amount by PO detail line. Must total to the invoice header amount. | number | | 25 |", "requestBody": { "content": { "multipart/form-data": { "schema": { "type": "object", "properties": { "fileDetails": { "type": "string", "example": "{\n \"srcUuid\": \"0AC3DE23133C61F0E063AF811DAC5CAD\",\n \"docTypeUuid\": \"ADC78973BD751170E053508010AC2DB4\",\n \"headerFlysheet\": \"AP Invoice with PO\",\n \"headerData\": {\n \"Company\": \"ZZ\",\n \"Apri_Ven_Code\": \"ABSCONT\",\n \"Apri_Group_Code\": \"CMIC\",\n \"Apri_Inv_Code\": \"ROASTINV988\",\n \"Apri_Inv_Date\": \"25/03/31\",\n \"Apri_Valid_Flag\": \"Y\",\n \"Apri_Desc\": \"test\",\n \"Apri_Orig_Amt\": \"100\",\n \"Apri_Amt\": \"100\",\n \"Po_Number\": \"WO00008001\",\n \"Release\": \"1\"\n },\n \"detailFlysheet\": \"AP Invoice Allocation to PO\",\n \"detailData\": [\n {\n \"Poda_Line_Num\": \"1\",\n \"Poda_Inv_Qty\": \"0\",\n \"Poda_Inv_Amt\": \"25\",\n \"Poda_Shiplist_Num\": \"42108\"\n }\n ]\n}" }, "document-content-file": { "type": "string", "format": "binary" } } } } } }, "parameters": [ { "name": "Content-Type", "in": "header", "schema": { "type": "string" }, "example": "application/vnd.oracle.adf.resourceItem+json" } ], "responses": { "201": { "description": "Successful response", "content": { "application/json": {} } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````